Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002466 [JEDI VCL] 00 JVCL Components major always 2005-01-04 03:12 2005-01-07 09:03
Reporter paolo View Status public  
Assigned To
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002466: TJvDBGrid.OnKeyPress event is not correctly processed
Description The OnKeyPress events are ignored since the first TJvDBGrid.EditChange is fired.
Of course, this problem affects JvDBUltimGrid too.
(Tested on 2005-03-01 build, Delphi7.1, Windows XP Pro)
Additional Information You can see this problem executing that sequence with the uploded sample project:
1) At the first start, the JvDBGrid.ReadOnly = True
2) Press a key (for example the number 1 in 'Species No' Field)
3) Show in the Memo the event sequence: only OnKeyDown and OnKeyUp event are processed
4) Now uncheck the CheckBox to set JvDBGrid.ReadOnly = False
5) Click on 'Species No' Field to activate the first EditChange event
6) Now check the CheckBox to set JvDBGrid.ReadOnly = True
7) As you can see, from now the events are always correctly executed (see it in Memo)
Tags No tags attached.
Attached Files zip file icon JvDBGridError.zip [^] (4,207 bytes) 2005-01-04 03:12

- Relationships

-  Notes
(0006101)
AHUser (developer)
2005-01-07 09:03

Fixed in CVS.

- Issue History
Date Modified Username Field Change
2005-01-04 03:12 paolo New Issue
2005-01-04 03:12 paolo File Added: JvDBGridError.zip
2005-01-07 09:03 AHUser Status new => resolved
2005-01-07 09:03 AHUser Resolution open => fixed
2005-01-07 09:03 AHUser Assigned To => AHUser
2005-01-07 09:03 AHUser Note Added: 0006101
2005-01-07 09:03 AHUser Assigned To AHUser =>


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker